E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::ServerProtocolText Class Reference

A default implementation for the ServerProtocol::Text interface. More...

`#include <gpopserverprotocol.h>`

Inheritance diagram for GPop::ServerProtocolText:

## Public Member Functions
| ServerProtocolText (GNet::Address peer)
| Constructor.
virtual std::string | greeting () const override
| Final override from GPop::ServerProtocol::Text.
virtual std::string | quit () const override
| Final override from GPop::ServerProtocol::Text.
virtual std::string | capa () const override
| Final override from GPop::ServerProtocol::Text.
virtual std::string | user (const std::string &id) const override
| Final override from GPop::ServerProtocol::Text.

## Detailed Description

A default implementation for the ServerProtocol::Text interface.

Definition at line 206 of file gpopserverprotocol.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopserverprotocol.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopserverprotocol.cpp